My Android device claims that my device is incompatible

PhysiApp for Android supports a wide range of devices, as long as they are Android 4.1 or newer (API level 16).

If you get an error in Google Play that your device is not compatible (and you know for a fact that it is not), it is likely because something jammed in your device (like Google Play Services cache or Google Play itself). 
In this case,  restarting the device and/or clearing/restarting the Google Play Services cache usually helps. 

Still Need Help Contact Us Contact Us